Start authorization-code flow
GET
/oauth/authorize
const url = 'https://api.muninx.com/oauth/authorize?response_type=code&client_id=example&redirect_uri=https%3A%2F%2Fexample.com&scope=example&code_challenge=example&code_challenge_method=S256';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.muninx.com/oauth/authorize?response_type=code&client_id=example&redirect_uri=https%3A%2F%2Fexample.com&scope=example&code_challenge=example&code_challenge_method=S256' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” response_type
required
string
client_id
required
string
redirect_uri
required
string format: uri
scope
required
string
state
string
code_challenge
required
string
code_challenge_method
required
string
resource
string format: uri
Responses
Section titled “ Responses ”Sign-in or consent page
Redirect with authorization code or error